<template>
    <table id="datatable-buttons" class="table table-striped table-bordered">
        <thead>
            <tr>
                <th>#</th>
                
                <th>Estudiante</th>
                <th>Precio</th>
                <th>Estado</th>
                <th>Ultm. Actualización</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item) in order" :key="item.id">
                <td># {{ item.id }}</td>
                <td>
                    {{
                        item.users
                            ? item.users.firstname + " " + item.users.lastname
                            : ""
                    }}
                </td>
                <td>$ {{ item.price }}</td>
                <!-- status -->
                <td v-if="item.status == 0" class="text-danger">
                    Creada/Pendiente de pago
                </td>
                <td v-if="item.status == 1" class="text-warning">
                    Pendiente de verificación de pagos
                </td>
                <td v-if="item.status == 2" class="text-primary">
                    Pendiente por inscripción en Moodle
                </td>
                <td v-if="item.status == 3" class="text-success">
                    Inscripción completada
                </td>
                <!-- fin de estatus -->
                <td>{{ item.updated_at | formatDate }}</td>
                <td>
                    <div
                        class="tabledit-toolbar btn-toolbar"
                        style="text-align: left;"
                    >
                        <div
                            class="btn-group btn-group-sm"
                            style="float: none;"
                        >
                            <button
                                type="button"
                                class="tabledit-edit-button btn btn-sm btn-info"
                                style="float: none; margin: 5px;"
                                :value="item.id"
                                @click.prevent="ver(item.id)"
                            >
                                <span class="ti-eye"></span>
                            </button>
                            <button
                                v-if="item.status == 1"
                                type="button"
                                class="btn btn-sm btn-success"
                                style="float: none; margin: 5px;"
                                :value="item.id"
                                @click.prevent="confirmar(item.id)"
                            >
                                <span class="ti-check"></span>
                            </button>
                            <button
                                v-if="item.status == 2"
                                type="button"
                                class="btn btn-sm btn-success"
                                style="float: none; margin: 5px;"
                                :value="item.id"
                                @click.prevent="inscribir(item.id)"
                            >
                                <span class="ti-notepad"></span>
                            </button>
                        </div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</template>

<script>
export default {
    props: ['status'],
    created: function() {
        this.get();
    },
    mounted() {},
    data() {
        return {
            order: [],
            st: this.status
        };
    },
    methods: {
        get: function() {
            axios.get("/api/accounting/orders",{
                params:{
                    status: this.st
                }
            }).then(res => {
                this.order = res.data
            });
        },
        ver(e) {
            location.href = "/dashboard/compras/plantilla/" + e;
        },
        confirmar(e) {
            location.href =
                "/dashboard/compras/plantilla/" + e + "/confirmation";
        },
        inscribir(e){
            location.href = "/dashboard/compras/plantilla/" + e + "/inscripcion";
        }
    }
};
</script>
